TaskEventType (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.app.job.event, enum: TaskEventType

Package org.apache.hadoop.mapreduce.v2.app.job.event

# Enum Class TaskEventType

java.lang.Object
java.lang.Enum<TaskEventType>
org.apache.hadoop.mapreduce.v2.app.job.event.TaskEventType

All Implemented Interfaces:
  `Serializable`, `Comparable<TaskEventType>`, `Constable`

public enum TaskEventType extends Enum<TaskEventType>
Event types handled by Task.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `T_ADD_SPEC_ATTEMPT`
  `T_ATTEMPT_COMMIT_PENDING`
  `T_ATTEMPT_FAILED`
  `T_ATTEMPT_KILLED`
  `T_ATTEMPT_LAUNCHED`
  `T_ATTEMPT_SUCCEEDED`
  `T_KILL`
  `T_RECOVER`
  `T_SCHEDULE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TaskEventType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TaskEventType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### T_KILL

    public static final TaskEventType T_KILL

  - ### T_SCHEDULE

    public static final TaskEventType T_SCHEDULE

  - ### T_RECOVER

    public static final TaskEventType T_RECOVER

  - ### T_ADD_SPEC_ATTEMPT

    public static final TaskEventType T_ADD_SPEC_ATTEMPT

  - ### T_ATTEMPT_LAUNCHED

    public static final TaskEventType T_ATTEMPT_LAUNCHED

  - ### T_ATTEMPT_COMMIT_PENDING

    public static final TaskEventType T_ATTEMPT_COMMIT_PENDING

  - ### T_ATTEMPT_FAILED

    public static final TaskEventType T_ATTEMPT_FAILED

  - ### T_ATTEMPT_SUCCEEDED

    public static final TaskEventType T_ATTEMPT_SUCCEEDED

  - ### T_ATTEMPT_KILLED

    public static final TaskEventType T_ATTEMPT_KILLED

- ## Method Details

  - ### values

    public static TaskEventType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TaskEventType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null